import { Scene } from 'phaser';

export class Preloader extends Scene {
    constructor() {
        super('Preloader');
    }

    create() {
        let config = this.game.config;

        let bg = this.add.image(0, 0, 'background');

        bg.onResize = function () {
            if (config.width * this.height / this.width < config.height) {
                this.displayWidth = config.height * this.width / this.height;
                this.displayHeight = config.height;
            } else {
                this.displayWidth = config.width;
                this.displayHeight = config.width * this.height / this.width;
            }
            this.setPosition(config.width / 2, config.height / 2);
        }
        this.game.onResize();
    }

}
